<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/* SMS Notifier Block
 * SMS notification is a one way SMS messaging block that allows managers, teachers and administrators to
 * send text messages to their student and teacher.
 * @package blocks
 * @author: Magnus Johansson
 * @date: 04-Nov-2015
*/

    $string['pluginname'] = 'SMS Notifier';
    $string['sms'] = 'SMS Notifier';
    $string['sms_send'] = 'Enviar SMS';
    $string['addpage'] = 'Añadir Página';
    $string['textfields'] = 'Data';
    $string['edithtml'] = 'Data Manipulation';
    $string['pagetitle'] = 'Input Text';
    $string['picturedesc'] = 'Descripción';
    $string['sms_save'] = 'Plantilla de Mensajes';
    $string['sms_history'] = 'Histórico de Mensajes';
    $string['selectcourse'] = 'Seleccionar Curso';
    $string['selectrole'] = 'Seleccionar Rol';
    $string['sms_body'] = 'Cuerpo del Mensaje';
    $string['selectmsg'] = 'Seleccionar Mensaje';
    $string['template'] = 'Crear Plantilla de Mensajes';
    $string['sms_template'] = 'Crear Plantilla de Mensajes';
    $string['sms_template_header'] = 'Nueva Plantilla';
    $string['sms_api_key'] = 'API Key';
    $string['sms_api_username'] = 'Username';
    $string['sms_api_password'] = 'Password';
    $string['sms_setting_header'] = 'SMS Notification Preferencias';
 //   $string['block_sms_apikey'] = 'block_sms_apikey';
    $string['block_sms_api_username'] = 'block_sms_api_username';
    $string['block_sms_api_password'] = 'block_sms_api_password';
    $string['sms:addinstance']='Añadir Instancia';
    $string['error'] = 'Error';
    $string['sent'] = 'Enviado';
    $string['valid_key'] = 'Your key IS VALID';
    $string['serial_no'] = 'Serial No.';
    $string['name'] = 'Nombre';
    $string['msg_body'] = 'Cuerpo del Mensaje';
    $string['edit'] = 'Editar';
    $string['delete'] = 'Eliminar';
    $string['cell_no'] = 'Número móvil';
    $string['select'] = 'Seleccionar';
    $string['askfordelete'] = 'Quieres eliminar esta plantilla?';
    $string['moodleuser'] = 'Username';
    $string['usernumber'] = 'Números';
    $string['status'] = 'Estado';
    
    




        